[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Change

Performs actions needed when the selection in the control has been changed to include the specified tree node.

## Declaration

Source position: comctrls.pp line 3594

`protected procedure TCustomTreeView.Change(`
`Node: TTreeNode`
`); virtual;`

## Arguments

`Node` |  | Tree node included in the selection for the control.

## Description

Change is a method used to perform actions needed when the selection in the control has been changed. Node contains the tree node that was used in the control selection. Change signals the OnChange event handler (when assigned).

Change is called from the event handler used for the internal timer activated when a new selection is made and the control synchronizes the tree nodes to the visual display.

Use the OnSelectionChange event handler for the notification that occurs before the node is included in the control selection.